Page MenuHomeFreeBSD

x11: document the latest best advice about graphics
ClosedPublic

Authored by imp on Mar 29 2021, 3:39 AM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 21 2022, 1:55 AM
Unknown Object (File)
Dec 15 2022, 12:17 AM
Unknown Object (File)
Dec 13 2022, 2:26 PM

Details

Summary

Recommend PORTS_MODULES for drm and nvidia ports. Remove pkg suggestion because
it doesn't work in too many cases. Provide example kernel config file.

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.Mar 29 2021, 3:39 AM
imp created this revision.

Perhaps a single sentence on the *why* of PORTS_MODULES (I had never heard of it before!) would be useful, just something along the lines of "With PORTS_MODULES, the corresponding port (containing kernel modules) is re-built against the kernel sources, every time you build the kernel. This ensures the kernel module stays in-sync with the kernel itself."

documentation/content/en/books/handbook/x11/_index.adoc
209
224
279
281

Possibly list available versions? Have the nvidia drivers moved? In trees I can find, those drivers live under x11/

documentation/content/en/books/handbook/x11/_index.adoc
281

Good suggestion. I'll add a list.

Do the suggested nits and expand nvidia section.

oops, missed a suggestion from @adridg do that.

imp marked 4 inline comments as done.Apr 2 2021, 8:18 PM

Better placement of PORTS_MODULES, wordsmith nvidia section.

mention kernel config. fix sloppy language.

Typo

documentation/content/en/books/handbook/x11/_index.adoc
270

s/you/use

imp marked an inline comment as done.Apr 2 2021, 10:35 PM
imp added inline comments.
documentation/content/en/books/handbook/x11/_index.adoc
270

thanks. Updating in a sec.

imp marked an inline comment as done.

you -> use

rpokala added inline comments.
documentation/content/en/books/handbook/x11/_index.adoc
211

As such, it is strongly recommended that the drivers be built via the ports system, or by adding a makeoptions PORT_MODULES line in the kernel config file.

279

Since video drivers use private kernel interfaces, it is strongly recommended that the drivers be kept up to date by using the PORTS_MODULES mechanism.

Update for latest review comment inspired changes.

Be fair and note nvidia uses far fewer problematic interfaces.

makefile not for this review

val_packett.cool added inline comments.
documentation/content/en/books/handbook/x11/_index.adoc
269

s/are/is? "support is found"

imp marked an inline comment as done.Apr 5 2021, 9:04 PM
imp marked 2 inline comments as done.Apr 5 2021, 9:05 PM
This revision was not accepted when it landed; it landed in state Needs Review.Apr 5 2021, 9:12 PM
This revision was automatically updated to reflect the committed changes.